Package org.acplt.oncrpc.apps.jrpcgen

## Class JrpcgenEnum

- java.lang.Object
- - org.acplt.oncrpc.apps.jrpcgen.JrpcgenEnum

-     public class JrpcgenEnum
      extends java.lang.Object

  The `JrpcgenEnum` class represents a single enumeration from an rpcgen "x"-file. It is a "container" for the elements (constants) belonging to this enumeration.
  Version:
    $Revision: 1.1.1.1 $ $Date: 2003/08/13 12:03:45 $ $State: Exp $ $Locker: $
  Author:
    Harald Albrecht

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.util.Vector` | `enums` | Contains enumeration elements as well as their values.
    `java.lang.String` | `identifier` | Enumeration identifier.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JrpcgenEnum​(java.lang.String identifier, java.util.Vector enums)` | Constructs a `JrpcgenEnum` and sets the identifier and all its enumeration elements.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dump()` | Dumps the enumeration together with its elements to `System.out`.
    `java.lang.String` | `toString()` | Returns the fully qualified identifier.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### identifier

          public java.lang.String identifier

      Enumeration identifier.

    - #### enums

          public java.util.Vector enums

      Contains enumeration elements as well as their values. The elements are of class `JrpcgenConst`.

  - ### Constructor Detail

    - #### JrpcgenEnum

          public JrpcgenEnum​(java.lang.String identifier,
                             java.util.Vector enums)

      Constructs a `JrpcgenEnum` and sets the identifier and all its enumeration elements.
      Parameters:
        `identifier` - Identifier to be declared.
        `enums` - Vector of enumeration elements of class `JrpcgenConst`.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Returns the fully qualified identifier. return fully qualified identifier.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public void dump()

      Dumps the enumeration together with its elements to `System.out`.